qoi := proc(gparam,qoi)

local fd, xdim, kdim, i, dqdx, k, dqdp, sname, si, sk; 

begin

fd:=fopen("qoi.m",Text,Write); 

fprint(Unquoted, fd, "function [q,dqdx,dqdp] = qoi(x,p,xdim,kdim) \n");
fprint(Unquoted, fd, "dqdx = zeros(xdim,1);");
fprint(Unquoted, fd, "dqdp = zeros(kdim+xdim,1); \n");

xdim:=gparam[1];
kdim:=gparam[2];

for i from 1 to xdim do:
     dqdx[i]:= diff(qoi,x[i]);
end_for:

for k from 1 to kdim+xdim do:
     dqdp[k]:= diff(qoi,p[k]);
end_for:

fprint(Unquoted, fd, generate::MATLAB(q=qoi));

for i from 1 to xdim do:
    sname := _concat("dqdx",i);
    xname := text2expr(sname);
    fprint(NoNL, fd, generate::MATLAB(xname = dqdx[i]));
end_for:

for k from 1 to kdim+xdim do:
    sname := _concat("dqdp",k);
    xname := text2expr(sname);
    fprint(NoNL, fd, generate::MATLAB(xname = dqdp[k]));
end_for:

fprint(Unquoted, fd, ""); 

for i from 1 to xdim do:
    fprint(Unquoted, fd, "dqdx(",i,") = dqdx",i,";");
end_for:

for k from 1 to kdim+xdim do:
    fprint(Unquoted, fd, "dqdp(",k,") = dqdp",k,";");
end_for:

fprint(Unquoted, fd, "");
fprint(NoNL, fd, "end");

fclose(fd);

end_proc;
